GuideLab API

Import Scanner Files

Import files from a scanner case into an existing order. Downloads files from the scanner provider (Medit, 3Shape, or iTero) and uploads them to R2 storage. Optionally creates scan inbox items.

POST
/scanner-connections/{id}/import-files

Import files from a scanner case into an existing order. Downloads files from the scanner provider (Medit, 3Shape, or iTero) and uploads them to R2 storage. Optionally creates scan inbox items.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/scanner-connections/550e8400-e29b-41d4-a716-446655440000/import-files" \  -H "Content-Type: application/json" \  -d '{    "caseUuid": "string",    "fileUuids": [      "string"    ],    "orderId": "string"  }'
{  "success": [    {      "id": "string",      "name": "string",      "type": "string",      "mimeType": "string",      "size": 0,      "url": "string",      "thumbnailUrl": "string",      "orderId": "string",      "patientId": "string",      "fileRequirementId": "string",      "createdAt": "string"    }  ],  "errors": [    {      "fileId": "string",      "fileName": "string",      "error": "string"    }  ]}
Empty
Empty
Empty
Empty
Empty
Empty
Empty